: Interface DB

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.storage.intertwingle
Interface DB

All Known Implementing Classes:
  grendel.storage.intertwingle.BaseDB

public abstract interface DB

An interface to a RDF-ish database.

Method Summary
`void` | `assert(java.lang.String name, java.lang.String slot, java.lang.String value)`
`java.util.Enumeration` | `findAll(java.lang.String name, java.lang.String slot, boolean reverse)`
`java.lang.String` | `findFirst(java.lang.String name, java.lang.String slot, boolean reverse)`
`boolean` | `isAsserted(java.lang.String name, java.lang.String slot, java.lang.String value)`
`void` | `unassert(java.lang.String name, java.lang.String slot, java.lang.String value)`

Method Detail

### assert

    public void assert(java.lang.String name,
                       java.lang.String slot,
                       java.lang.String value)
                throws java.io.IOException

### unassert

    public void unassert(java.lang.String name,
                         java.lang.String slot,
                         java.lang.String value)
                  throws java.io.IOException

### findFirst

    public java.lang.String findFirst(java.lang.String name,
                                      java.lang.String slot,
                                      boolean reverse)
                               throws java.io.IOException

### findAll

    public java.util.Enumeration findAll(java.lang.String name,
                                         java.lang.String slot,
                                         boolean reverse)
                                  throws java.io.IOException

### isAsserted

    public boolean isAsserted(java.lang.String name,
                              java.lang.String slot,
                              java.lang.String value)
                       throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD